:root {
  --bg-color: #f5f5ff;
  --container-color: white;
  --secondary-color: #ddd8ff;
  --main-color: #7961fe;
  --main-color-hover: #614ecb;
  --main-color-active: #4c3aae;
  --third-color: #f5f5ff;
  --transition: 0.2s ease-in-out;
}

html {
  height: 100%;
  width: 100%;
}

body {
  background-color: var(--bg-color);
  font-family: Verdana, Geneva, Tahoma, sans-serif;
  box-sizing: border-box;
  width: 100%;
  position: relative;
  height: 100%;
}

*::-webkit-scrollbar {
  width: 7px;
}

*::-webkit-scrollbar-thumb {
  background: var(--secondary-color);
  border-radius: 20px;
}

*::-webkit-scrollbar-track {
  background-color: var(--bg-color);
}

.container {
  padding: 40px 120px;
  padding-right: 60px;
}

.header {
  margin-bottom: 35px;
  padding-bottom: 0;
}

.header__title {
  width: 100%;
  max-width: 1150px;
  background-color: transparent;
  border: none;
  outline: none;
  font-size: 32px;
  padding: 16px 0;
  padding-left: 16px;
  margin-left: -16px;
  border: 1px solid var(--bg-color);
  transition: border-color var(--transition);
  border-radius: 50px;
}

.header__title:hover {
  border-color: var(--secondary-color);
}
.header__title:focus {
  border-color: var(--main-color);
}

.input-wrapper {
  width: 100%;
  position: relative;
}

.task .input-wrapper {
  margin-bottom: 8px;
  width: fit-content;
}

.saved {
  position: absolute;
  bottom: -20px;
  left: 0;
  font-size: 12px;
  color: #b7b7b7;
  display: flex;
  align-items: center;
  gap: 4px;
  justify-content: center;
  transition: opacity 0.5s ease;
  opacity: 0;
}

.task .saved {
  bottom: unset;
  right: 0;
  top: 50%;
  left: unset;
  transform: translate(110%, -50%);
}

.saved svg {
  margin-top: -2px;
}

.header__box {
  display: flex;
  gap: 32px;
  align-items: center;
  justify-content: space-between;
}

.header__box:first-child {
  margin-bottom: 24px;
}

.download-btn {
  background-color: var(--main-color);
  padding: 10px 18px;
  border-radius: 8px;
  display: flex;
  align-items: center;
  gap: 8px;
  color: var(--container-color);
  font-size: 16px;
  font-weight: 600;
  transition: background-color var(--transition);
}
.download-btn:hover,
.download-btn:focus {
  background-color: var(--main-color-hover);
}
.download-btn:active {
  background-color: var(--main-color-active);
}

.header__download {
  min-width: fit-content;
}

.header__bar {
  background-color: var(--secondary-color);
  width: 100%;
  height: 12px;
  border-radius: 50px;
  overflow: hidden;
}

.header__bar-inner {
  width: 67%;
  background-color: var(--main-color);
  height: 100%;
  border-radius: 50px;
}

.header__deadline {
  background-color: var(--container-color);
  font-size: 16px;
  padding: 10px 16px;
  min-width: fit-content;
  border-radius: 50px;
}

.main {
  display: flex;
  gap: 20px;
  padding-top: 0;
  height: calc(100% - 210px);
  width: 100%;
}

.side {
  width: 100%;
  padding-top: 0;
  height: 100%;
}

.side__title {
  font-size: 32px;
  padding-bottom: 16px;
  font-weight: 500;
}

.side__wrapper {
  background-color: var(--container-color);
  border-radius: 16px;
  height: calc(100% - 56px);
  width: 100%;
  overflow-y: auto;
  padding: 30px 20px;
  display: flex;
  flex-direction: column;
  gap: 20px;
}

.task {
  width: 100%;
  border-radius: 16px;
  padding: 12px;
  padding-right: 36px;
  border: 2px solid var(--third-color);
  display: grid;
  grid-template-columns: 1fr auto;
  align-items: center;
  justify-content: space-between;
  transition: background-color var(--transition), border-color var(--transition);
}

.task_opened {
  background-color: var(--secondary-color);
  border-color: var(--secondary-color);
}

.task_opened .task__btn svg {
  transform: rotate(180deg);
}

.task__left {
  display: flex;
  align-items: center;
  gap: 12px;
}

.task__icon {
  background-color: var(--third-color);
  border-radius: 100%;
  width: 100px;
  height: 100px;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 24px;
}

.task__description {
  display: flex;
  flex-direction: column;
  align-items: start;
}

.task__name {
  background-color: transparent;
  border: none;
  font-size: 20px;
  outline: none;
  max-width: 250px;
  border-radius: 16px;
  border: 1px solid transparent;
  transition: border-color var(--transition);
  padding: 10px;
  margin-left: -10px;
}

.task__name:hover {
  border-color: var(--secondary-color);
}
.task__name:focus {
  border-color: var(--main-color);
}

.task__btn {
  padding: 10px 14px;
  height: 38px;
}

.task__btn svg {
  stroke: var(--container-color);
}

.task__controllers {
  display: flex;
  align-items: center;
  gap: 24px;
}

.task__controllers button {
  background-color: var(--third-color);
  width: 48px;
  height: 48px;
  border-radius: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  stroke: var(--main-color);
  border: 1px solid transparent;
  transition: border-color var(--transition);
}

.task__controllers button:focus,
.task__controllers button:hover {
  border-color: var(--secondary-color);
}

.task__controllers button:active {
  border-color: var(--main-color);
}

.task__remove {
  position: relative;
}

.task__remove::before {
  position: relative;
  content: "";
  width: 14px;
  height: 2px;
  background-color: var(--main-color);
}

.task__images {
  grid-column: 1 / 3;
}

.task__image {
  margin-top: 16px;
  display: none;
}

.task_opened .task__image {
  display: block;
}

.panel {
  padding: 40px 15px;
  position: fixed;
  left: 0;
  top: 0;
  bottom: 0;
  background-color: var(--container-color);
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

.panel__logo {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 6px;
}

.panel__icons {
  display: flex;
  align-items: center;
  flex-direction: column;
  gap: 16px;
}

.panel__icon {
  background-color: var(--third-color);
  border-radius: 100%;
  width: 48px;
  height: 48px;
  font-size: 16px;
  display: flex;
  align-items: center;
  justify-content: center;
  transition: border-color var(--transition);
  border: 1px solid transparent;
}

.panel__icon:hover,
.panel__icon:focus {
  border-color: var(--secondary-color);
}

.panel__icon:active {
  border-color: var(--main-color-active);
}

.modal-open::before {
  position: absolute;
  content: "";
  left: 0;
  top: 0;
  right: 0;
  bottom: 0;
  background-color: black;
  z-index: 1000;
  opacity: 0.5;
}

.modal {
  position: absolute;
  width: 400px;
  height: 200px;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  z-index: 10000;
  background-color: var(--container-color);
  border-radius: 12px;
  display: none;
}

.modal-open .modal {
  display: flex;
  padding: 20px;
  flex-direction: column;
  align-items: center;
  gap: 10px;
}

.modal__icon {
  background-color: var(--bg-color);
  min-height: 88px;
  width: 88px;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 100%;
}

.modal__title {
  font-size: 24px;
}

.modal__subtitle {
  display: block;
  font-size: 14px;
  color: #a3a3a3;
}

.modal__close {
  position: absolute;
  background-color: var(--main-color);
  right: 10px;
  top: 10px;
  width: 30px;
  height: 30px;
  border-radius: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  transition: background-color var(--transition);
}

.modal__close:focus,
.modal__close:hover {
  background-color: var(--main-color-hover);
}

.modal__close:active {
  background-color: var(--main-color-active);
}

.dropzone {
  width: 100%;
  min-height: 200px;
  height: 50%;
  position: relative;
  padding-left: 20px;
  padding-right: 20px;
}

.dropzone::before {
  position: absolute;
  content: "";
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  background: url("../img/plus-circle.svg") var(--third-color) no-repeat center
    center / 100px 100px;
  border: 2px dashed var(--main-color);
  border-radius: 16px;
  cursor: pointer;
  transition: border var(--transition);
}

.dropzone:hover::before {
  border-color: var(--main-color-hover);
}

.dropzone-form {
  width: 100%;
  height: 100%;
}

.task .dropzone-form {
  display: none;
  margin-top: 16px;
}

.task_opened .dropzone-form {
  display: block;
  height: unset;
  margin-top: 16px;
  grid-column: 1 / -1;
}

.task_opened .dropzone::before {
  background-color: var(--container-color);
}
